Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 832207 (CVE-2022-23959) - www-servers/varnish: HTTP/1 request smuggling
Summary: www-servers/varnish: HTTP/1 request smuggling
Status: CONFIRMED
Alias: CVE-2022-23959
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://varnish-cache.org/security/VS...
Whiteboard: B4 [ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-28 13:53 UTC by John Helmert III
Modified: 2022-01-28 13:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2022-01-28 13:53:16 UTC
CVE-2022-23959:

In Varnish Cache before 6.6.2 and 7.x before 7.0.2, Varnish Cache 6.0 LTS before 6.0.10, and and Varnish Enterprise (Cache Plus) 4.1.x before 4.1.11r6 and 6.0.x before 6.0.9r4, request smuggling can occur for HTTP/1 connections.


Please bump to 6.6.2 and 7.0.2.